SYSTEMD-EFI-BOOT-GENERATOR(8)

NAME
systemd-efi-boot-generator - Generator for automatically mounting the EFI System Partition used by the current boot to /boot

SYNOPSIS

/usr/lib/systemd/system-generators/systemd-efi-boot-generator

DESCRIPTION

systemd-efi-boot-generator is a generator that automatically creates mount and automount units for the EFI System Partition (ESP), mounting it to /boot. Note that this generator will execute no operation on non-EFI systems, on systems where the boot loader does not communicate the used ESP to the OS, on systems where /boot is an explicitly configured mount (for example, listed in fstab(5)) or where the /boot mount point is non-empty. Since this generator creates an automount unit, the mount will only be activated on-demand, when accessed.

systemd-efi-boot-generator implements systemd.generator(7).

SEE ALSO

systemd(1), systemd.mount(5), systemd.automount(5), systemd-gpt-auto-generator(8), gummiboot(8), fstab(5)